<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Hello world</title>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
  </head>
  <body>
    <!-- END nav -->

    <section class="home-slider owl-carousel img">
      <div class="slider-item">
        <div class="overlay"></div>
        <div class="container">
          <div
            class="row slider-text align-items-center"
            data-scrollax-parent="true"
          >
            <div class="col-md-6 col-sm-12 ftco-animate">
              <span class="subheading"></span>
              <h1 class="mb-4" id="subheading-title-0">Hello world</h1>
              <p class="mb-4 mb-md-5" id="subheading-content-0"></p>
              <h2>Hello Devcamp world application</h2>
            </div>
          </div>
        </div>
      </div>
    </section>

    <script src="js/jquery.min.js"></script>
    <script src="js/jquery-migrate-3.0.1.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script>
      function getAllQuotes() {}
      $(document).ready(function () {
        const BASE_URL = "http://localhost:8080/rest-api/devcamp-welcome";
        // create a request
        var xmlHttpGetAllQuotes = new XMLHttpRequest();
        xmlHttpGetAllQuotes.open("GET", BASE_URL, true);
        xmlHttpGetAllQuotes.send();
        xmlHttpGetAllQuotes.onreadystatechange = function () {
          if (this.readyState == 4 && this.status == 200) {
            var quoteList = xmlHttpGetAllQuotes.responseText;
            console.log(quoteList);
            document.getElementById("subheading-content-0").innerHTML =
              quoteList;
          }
        };
      });
    </script>
  </body>
</html>
